Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.configuration
Interface WebConfiguration

All Superinterfaces:
  Configuration

All Known Subinterfaces:
  JspConfiguration, ServletConfiguration

All Known Implementing Classes:
  AbstractWebConfiguration, DefaultJspConfiguration, DefaultServletConfiguration

public interface WebConfiguration
extends Configuration

Extends the generic `Configuration` interface with methods provided configuration information related to Web redirectors.

Version:
  $Id: WebConfiguration.java 238991 2004-05-22 11:34:50Z vmassol $

Method Summary
`java.lang.String` | `getDefaultRedirectorName()`
`java.lang.String` | `getDefaultRedirectorURL()`
`java.lang.String` | `getRedirectorName(WebRequest theRequest)`
`java.lang.String` | `getRedirectorURL(WebRequest theRequest)`

Methods inherited from interface org.apache.cactus.internal.configuration.Configuration
`getContextURL, getInitializer`

Method Detail

### getDefaultRedirectorURL

    public java.lang.String getDefaultRedirectorURL()

  Returns:
    the redirector URL for the default redirector

### getDefaultRedirectorName

    public java.lang.String getDefaultRedirectorName()

  Returns:
    the default redirector name as defined by the Cactus configuration

### getRedirectorURL

    public java.lang.String getRedirectorURL(WebRequest theRequest)

  Parameters:
    `theRequest` - the Web request used to connect to the redirector
  Returns:
    the redirector URL for the redirector to use. It is either the default redirector name or the redirector defined in the Web

### getRedirectorName

    public java.lang.String getRedirectorName(WebRequest theRequest)

  Parameters:
    `theRequest` - the Web request used to connect to the redirector
  Returns:
    the redirector name to use. It is either the default redirector name or the redirector defined in the Web Request if it has been overriden

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.